sig_tone_tx_state_s Struct Reference

`#include <sig_tone.h>`

## Public Attributes

tone_report_func_t | sig_update
| The callback function used to handle signalling changes.
void * | user_data
| A user specified opaque pointer passed to the callback function.
const sig_tone_descriptor_t * | desc
| Tone descriptor.
int32_t | phase_rate [2]
uint32_t | phase_acc [2]
int16_t | tone_scaling [2][2]
int | high_low_timer
int | current_tx_tone
| Current transmit tone.
int | current_tx_timeout
| Current transmit timeout.
int | signalling_state_duration
| Time in current signalling state, in samples.

## Detailed Description

Signalling tone transmit state

## Member Data Documentation

## high_low_timer

int sig_tone_tx_state_s::high_low_timer

The sample timer, used to switch between the high and low level tones.

Referenced by sig_tone_tx(), and sig_tone_tx_set_mode().

## phase_acc

uint32_t sig_tone_tx_state_s::phase_acc[2]

The phase accumulators for the one or two tones

Referenced by sig_tone_tx(), and sig_tone_tx_set_mode().

## phase_rate

int32_t sig_tone_tx_state_s::phase_rate[2]

The phase rates for the one or two tones

Referenced by sig_tone_tx(), and sig_tone_tx_init().

## tone_scaling

int16_t sig_tone_tx_state_s::tone_scaling[2][2]

The scaling values for the one or two tones, and the high and low level of each tone

Referenced by sig_tone_tx(), and sig_tone_tx_init().

The documentation for this struct was generated from the following file:

- private/sig_tone.h